Duplicate Specific User Agent

Path parameters

addressstringRequired

Query parameters

no_cachebooleanOptionalDefaults to false

Request

This endpoint expects an object.
namestringRequired
Name of the new agent.
readmestringOptional
Readme content for the agent.
avatar_urlstringOptional
URL of the agent's avatar.
short_descriptionstringOptional
Brief description.
networkenumOptional

Network on which the agent will register (mainnet or testnet)

Response

Successful Response
namestring
Name of the agent.
addressstring
Bech32 address of the agent.
runningboolean
Whether the agent is currently running.
revisioninteger
Revision number of the agent.
domainstringOptional
Domain name associated with the agent.
prefixenumOptionalDefaults to test-agent
Address prefix of the agent.
compiledbooleanOptional
Whether the agent code has been compiled.
code_digeststringOptional
Digest of the agent's code.
wallet_addressstringOptional
Wallet address of the agent.
code_update_timestampstringOptionalformat: "date-time"
Last time the code was updated.
creation_timestampstringOptionalformat: "date-time"
Time when the agent was created.
avatar_urlstringOptional
URL to the agent's avatar image.
maintainer_idstringOptional
ID of the user maintaining the agent.
readmestringOptional
README description of the agent.
short_descriptionstringOptional
Short description for display.
metadataobjectOptional
Metadata associated with the agent.

Errors

422
Unprocessable Entity Error